CREATE TABLE IF NOT EXISTS `#__supportgroups_support_group` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`area` INT(11) NOT NULL DEFAULT 0,
	`details` TEXT NOT NULL,
	`facility` INT(11) NOT NULL DEFAULT 0,
	`female` INT(11) NOT NULL DEFAULT 0,
	`female_art` INT(11) NOT NULL DEFAULT 0,
	`female_children` INT(11) NOT NULL DEFAULT 0,
	`info` TEXT NOT NULL,
	`male` INT(11) NOT NULL DEFAULT 0,
	`male_art` INT(11) NOT NULL DEFAULT 0,
	`male_children` INT(11) NOT NULL DEFAULT 0,
	`marker` TEXT NOT NULL,
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`phone` VARCHAR(64) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_area` (`area`),
	KEY `idx_facility` (`facility`),
	KEY `idx_male` (`male`),
	KEY `idx_female` (`female`),
	KEY `idx_alias` (`alias`),
	KEY `idx_female_art` (`female_art`),
	KEY `idx_female_children` (`female_children`),
	KEY `idx_male_art` (`male_art`),
	KEY `idx_male_children` (`male_children`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_payment` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`amount` VARCHAR(100) NOT NULL DEFAULT 0,
	`support_group` INT(11) NOT NULL DEFAULT 0,
	`year` INT(11) NOT NULL DEFAULT 0,
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_support_group` (`support_group`),
	KEY `idx_year` (`year`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_facility` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`details` TEXT NOT NULL,
	`facility_type` INT(11) NOT NULL DEFAULT 0,
	`marker` TEXT NOT NULL,
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`phone` VARCHAR(64) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_facility_type` (`facility_type`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_facility_type` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_additional_info` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`details` TEXT NOT NULL,
	`info_type` INT(11) NOT NULL DEFAULT 0,
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_info_type` (`info_type`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_info_type` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_area` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`area_type` INT(11) NOT NULL DEFAULT 0,
	`color` VARCHAR(64) NOT NULL DEFAULT '',
	`details` TEXT NOT NULL,
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`region` INT(11) NOT NULL DEFAULT 0,
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_area_type` (`area_type`),
	KEY `idx_region` (`region`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_area_type` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__supportgroups_region` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`country` INT(11) NOT NULL DEFAULT 0,
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_country` (`country`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS `#__supportgroups_country` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`codetwo` CHAR(7) NOT NULL DEFAULT '',
	`currency` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`worldzone` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	KEY `idx_name` (`name`),
	KEY `idx_currency` (`currency`),
	KEY `idx_worldzone` (`worldzone`),
	KEY `idx_codethree` (`codethree`),
	KEY `idx_codetwo` (`codetwo`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS `#__supportgroups_currency` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`codethree` CHAR(7) NOT NULL DEFAULT '',
	`decimalplace` INT(7) NOT NULL DEFAULT 0,
	`decimalsymbol` CHAR(7) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`negativestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`numericcode` INT(10) NOT NULL DEFAULT 0,
	`positivestyle` VARCHAR(255) NOT NULL DEFAULT '',
	`symbol` CHAR(11) NOT NULL DEFAULT '',
	`thousands` CHAR(7) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	`metakey` TEXT NOT NULL,
	`metadesc` TEXT NOT NULL,
	`metadata` TEXT NOT NULL,
	PRIMARY KEY  (`id`),
	UNIQUE KEY `idx_codethree` (`codethree`),
	KEY `idx_name` (`name`),
	KEY `idx_numericcode` (`numericcode`),
	KEY `idx_alias` (`alias`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS `#__supportgroups_help_document` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`admin_view` CHAR(255) NOT NULL DEFAULT '',
	`alias` CHAR(64) NOT NULL DEFAULT '',
	`article` TINYINT(1) NOT NULL DEFAULT 0,
	`content` TEXT NOT NULL,
	`groups` TEXT NOT NULL,
	`location` TINYINT(1) NOT NULL DEFAULT 0,
	`site_view` CHAR(255) NOT NULL DEFAULT '',
	`target` TINYINT(1) NOT NULL DEFAULT 0,
	`title` CHAR(64) NOT NULL DEFAULT '',
	`type` TINYINT(1) NOT NULL DEFAULT 0,
	`url` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL,
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_title` (`title`),
	KEY `idx_type` (`type`),
	KEY `idx_location` (`location`),
	KEY `idx_alias` (`alias`),
	KEY `idx_article` (`article`),
	KEY `idx_target` (`target`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__supportgroups_info_type`
--

INSERT INTO `#__supportgroups_info_type` (`id`, `asset_id`, `alias`, `name`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, 26628, 'skill-level', 'Skill Level', '', 1, 450, '', '2016-04-16 22:01:54', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, 1),
(2, 26629, 'academic-credential', 'Academic Credential', '', 1, 450, '', '2016-04-16 22:03:35', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', 1, 2);

--
-- Dumping data for table `#__supportgroups_area`
--

INSERT INTO `#__supportgroups_area` (`id`, `alias`, `color`, `details`, `name`, `region`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`, `metakey`, `metadesc`, `metadata`) VALUES
(1, 'anamulenge', '#0c1c94', '', 'Anamulenge', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 3, '', 1, 1, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(2, 'eegodi', '#ffffff', '', 'Eegodi', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 2, '', 1, 2, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(3, 'elimi', '', '', 'Elimi', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 3, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(4, 'endola', '#016b6b', '', 'Endola', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 4, '', 1, 4, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(5, 'enegla', '#4d8f2e', '', 'Enegla', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 2, '', 1, 5, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(6, 'epembe', '', '', 'Epembe', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 6, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(7, 'epembe-eeshi', '#15557a', '', 'Epembe/Eeshi', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 3, '', 1, 7, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(8, 'epembe-epumba-londjaba', '', '', 'Epembe/Epumba londjaba', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 8, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(9, 'epembe-othilu', '', '', 'Epembe/Othilu', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 9, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(10, 'etayi', '', '', 'Etayi', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 10, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(11, 'ogongo', '', '', 'Ogongo', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 11, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(12, 'ohangwena', '#bf53e6', '', 'Ohangwena', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 2, '', 1, 12, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(13, 'okahao', '', '', 'Okahao', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 13, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(14, 'okaku', '', '', 'Okaku', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 14, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(15, 'okalongo', '', '', 'Okalongo', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 15, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(16, 'okankolo', '', '', 'Okankolo', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 16, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(17, 'okatana', '', '', 'Okatana', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 17, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(18, 'okatyali', '', '', 'Okatyali', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 18, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(19, 'okongo', '', '', 'Okongo', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 19, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(20, 'olukonda', '', '', 'Olukonda', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 20, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(21, 'ompundja', '', '', 'Ompundja', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 21, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(22, 'omulonga', '', '', 'Omulonga', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 22, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(23, 'omulonga-onanona', '', '', 'Omulonga/Onanona', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 23, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(24, 'omundaungilo', '', '', 'Omundaungilo', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 24, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(25, 'omundaungilo-onakalung', '', '', 'Omundaungilo/onakalung', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 25, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(26, 'omuntele', '', '', 'Omuntele', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 26, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(27, 'omuntele-ehenge', '', '', 'Omuntele/Ehenge', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 27, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(28, 'omuntele-oshalongo', '', '', 'Omuntele/Oshalongo', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 28, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(29, 'omuthiya', '', '', 'Omuthiya', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 29, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(30, 'onayena', '', '', 'Onayena', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 30, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(31, 'ondangwa', '', '', 'Ondangwa', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 31, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(32, 'ondangwa-rular', '', '', 'Ondangwa rular', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 32, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(33, 'ondangwa-urban', '', '', 'Ondangwa Urban', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 33, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(34, 'ondangwa-epukunoyana', '', '', 'Ondangwa/Epukunoyana', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 34, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(35, 'ondanwa', '', '', 'Ondanwa', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 35, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(36, 'ondobe', '', '', 'Ondobe', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 36, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(37, 'onesi', '', '', 'Onesi', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 37, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(38, 'ongenga', '', '', 'Ongenga', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 38, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(39, 'ongwediva', '', '', 'Ongwediva', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 39, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(40, 'oniipa', '', '', 'Oniipa', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 40, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(41, 'oniwengedje', '', '', 'Oniwengedje', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 41, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(42, 'onyaana', '', '', 'Onyaana', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 42, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(43, 'onyaanya', '', '', 'Onyaanya', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 43, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(44, 'oshakati-east', '', '', 'Oshakati East', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 44, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(45, 'oshakati-east-oneshila', '', '', 'Oshakati East/Oneshila', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 45, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(46, 'oshakati-west', '', '', 'Oshakati West', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 46, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(47, 'oshikango', '', '', 'Oshikango', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 47, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(48, 'oshikuku', '', '', 'Oshikuku', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 48, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(49, 'oshikunde', '', '', 'Oshikunde', 1, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 49, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(50, 'otamanzi', '', '', 'Otamanzi', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:36:09', '', '0000-00-00 00:00:00', 1, '', 1, 50, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(51, 'otamanzi-onayalala', '', '', 'Otamanzi/Onayalala', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 51, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(52, 'otsadi', '', '', 'Otsadi', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 52, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(53, 'outapi-ohambalanganga', '', '', 'Outapi/Ohambalanganga', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 53, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(54, 'quinas', '', '', 'Quinas', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 54, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(55, 'ruacana', '', '', 'Ruacana', 2, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 55, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(56, 'tsumeb', '', '', 'Tsumeb', 5, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 56, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(57, 'uukwiyuushona', '', '', 'Uukwiyuushona', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 57, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}'),
(58, 'uuvudhiya', '', '', 'Uuvudhiya', 4, '', 1, 450, 450, '2016-03-11 17:51:00', '2016-04-02 15:35:39', '', '0000-00-00 00:00:00', 1, '', 1, 58, '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}');

--
-- Dumping data for table `#__supportgroups_region`
--

INSERT INTO `#__supportgroups_region` (`id`, `alias`, `country`, `name`, `published`, `created`) VALUES
(1, 'act', 13, 'ACT', 1, '2016-05-17 05:01:46'),
(2, 'nsw', 13, 'NSW', 1, '2016-05-17 05:01:57'),
(3, 'nt', 13, 'NT', 1, '2016-11-15 04:52:45'),
(4, 'qld', 13, 'QLD', 1, '2020-06-02 12:55:29'),
(5, 'sa', 13, 'SA', 1, '2020-06-02 12:55:29'),
(6, 'tas', 13, 'TAS', 1, '2020-06-02 12:55:29'),
(7, 'vic', 13, 'VIC', 1, '2020-06-02 12:55:29'),
(8, 'wa', 13, 'WA', 1, '2020-06-02 12:55:29');

--
-- Dumping data for table `#__supportgroups_country`
--

INSERT INTO `#__supportgroups_country` (`id`, `asset_id`, `alias`, `codethree`, `codetwo`, `currency`, `name`, `worldzone`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `ordering`) VALUES
(1, '', '', 'AFG', 'AF', 'AFN', 'Afghanistan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(2, '', '', 'ALB', 'AL', 'ALL', 'Albania', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(3, '', '', 'DZA', 'DZ', 'DZD', 'Algeria', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(4, '', '', 'ASM', 'AS', 'USD', 'American Samoa', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(5, '', '', 'AND', 'AD', 'EUR', 'Andorra', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(6, '', '', 'AGO', 'AO', 'GBP', 'Angola', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 2, '', ''),
(7, '', '', 'AIA', 'AI', 'XCD', 'Anguilla', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(8, '', '', 'ATA', 'AQ', 'USD', 'Antarctica', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(9, '', '', 'ATG', 'AG', 'XCD', 'Antigua and Barbuda', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(10, '', '', 'ARG', 'AR', 'ARS', 'Argentina', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(11, '', '', 'ARM', 'AM', 'AMD', 'Armenia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(12, '', '', 'ABW', 'AW', 'AWG', 'Aruba', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(13, '', '', 'AUS', 'AU', 'AUD', 'Australia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(14, '', '', 'AUT', 'AT', 'EUR', 'Austria', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(15, '', '', 'AZE', 'AZ', 'AZN', 'Azerbaijan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(16, '', '', 'BHS', 'BS', 'BSD', 'Bahamas', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(17, '', '', 'BHR', 'BH', 'BHD', 'Bahrain', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(18, '', '', 'BGD', 'BD', 'BDT', 'Bangladesh', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(19, '', '', 'BRB', 'BB', 'BBD', 'Barbados', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(20, '', '', 'BLR', 'BY', 'BYR', 'Belarus', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(21, '', '', 'BEL', 'BE', 'EUR', 'Belgium', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(22, '', '', 'BLZ', 'BZ', 'BZD', 'Belize', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(23, '', '', 'BEN', 'BJ', 'XOF', 'Benin', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(24, '', '', 'BMU', 'BM', 'BMD', 'Bermuda', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(25, '', '', 'BTN', 'BT', 'INR', 'Bhutan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(26, '', '', 'BOL', 'BO', 'BOB', 'Bolivia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(27, '', '', 'BIH', 'BA', 'BAM', 'Bosnia and Herzegowina', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(28, '', '', 'BWA', 'BW', 'BWP', 'Botswana', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(29, '', '', 'BVT', 'BV', 'NOK', 'Bouvet Island', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(30, '', '', 'BRA', 'BR', 'BRL', 'Brazil', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(31, '', '', 'IOT', 'IO', 'USD', 'British Indian Ocean Territory', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(32, '', '', 'BRN', 'BN', 'BND', 'Brunei Darussalam', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(33, '', '', 'BGR', 'BG', 'BGN', 'Bulgaria', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(34, '', '', 'BFA', 'BF', 'XOF', 'Burkina Faso', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(35, '', '', 'BDI', 'BI', 'BIF', 'Burundi', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(36, '', '', 'KHM', 'KH', 'KHR', 'Cambodia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(37, '', '', 'CMR', 'CM', 'XAF', 'Cameroon', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(38, '', '', 'CAN', 'CA', 'CAD', 'Canada', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(39, '', '', 'CPV', 'CV', 'CVE', 'Cape Verde', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(40, '', '', 'CYM', 'KY', 'KYD', 'Cayman Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(41, '', '', 'CAF', 'CF', 'XAF', 'Central African Republic', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(42, '', '', 'TCD', 'TD', 'XAF', 'Chad', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(43, '', '', 'CHL', 'CL', 'CLP', 'Chile', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(44, '', '', 'CHN', 'CN', 'CNY', 'China', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(45, '', '', 'CXR', 'CX', 'AUD', 'Christmas Island', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(46, '', '', 'CCK', 'CC', 'AUD', 'Cocos (Keeling) Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(47, '', '', 'COL', 'CO', 'COP', 'Colombia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(48, '', '', 'COM', 'KM', 'KMF', 'Comoros', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(49, '', '', 'COG', 'CG', 'XAF', 'Congo', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(50, '', '', 'COK', 'CK', 'NZD', 'Cook Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(51, '', '', 'CRI', 'CR', 'CRC', 'Costa Rica', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(52, '', '', 'CIV', 'CI', 'XOF', 'Cote D\'Ivoire', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(53, '', '', 'HRV', 'HR', 'HRK', 'Croatia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(54, '', '', 'CUB', 'CU', 'CUP', 'Cuba', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(55, '', '', 'CYP', 'CY', 'EUR', 'Cyprus', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(56, '', '', 'CZE', 'CZ', 'CZK', 'Czech Republic', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(57, '', '', 'DNK', 'DK', 'DKK', 'Denmark', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(58, '', '', 'DJI', 'DJ', 'DJF', 'Djibouti', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(59, '', '', 'DMA', 'DM', 'XCD', 'Dominica', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(60, '', '', 'DOM', 'DO', 'DOP', 'Dominican Republic', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(61, '', '', 'TMP', 'TP', 'USD', 'East Timor', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(62, '', '', 'ECU', 'EC', 'USD', 'Ecuador', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(63, '', '', 'EGY', 'EG', 'EGP', 'Egypt', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(64, '', '', 'SLV', 'SV', 'USD', 'El Salvador', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(65, '', '', 'GNQ', 'GQ', 'XAF', 'Equatorial Guinea', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(66, '', '', 'ERI', 'ER', 'ERN', 'Eritrea', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(67, '', '', 'EST', 'EE', 'EUR', 'Estonia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(68, '', '', 'ETH', 'ET', 'ETB', 'Ethiopia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(69, '', '', 'FLK', 'FK', 'FKP', 'Falkland Islands (Malvinas)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(70, '', '', 'FRO', 'FO', 'DKK', 'Faroe Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(71, '', '', 'FJI', 'FJ', 'FJD', 'Fiji', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(72, '', '', 'FIN', 'FI', 'EUR', 'Finland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(73, '', '', 'FRA', 'FR', 'EUR', 'France', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(74, '', '', 'GUF', 'GF', 'EUR', 'French Guiana', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(75, '', '', 'PYF', 'PF', 'XPF', 'French Polynesia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(76, '', '', 'ATF', 'TF', 'EUR', 'French Southern Territories', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(77, '', '', 'GAB', 'GA', 'XAF', 'Gabon', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(78, '', '', 'GMB', 'GM', 'GMD', 'Gambia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(79, '', '', 'GEO', 'GE', 'GEL', 'Georgia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(80, '', '', 'DEU', 'DE', 'EUR', 'Germany', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(81, '', '', 'GHA', 'GH', 'GHS', 'Ghana', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(82, '', '', 'GIB', 'GI', 'GIP', 'Gibraltar', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(83, '', '', 'GRC', 'GR', 'EUR', 'Greece', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(84, '', '', 'GRL', 'GL', 'DKK', 'Greenland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(85, '', '', 'GRD', 'GD', 'XCD', 'Grenada', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(86, '', '', 'GLP', 'GP', 'EUR', 'Guadeloupe', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(87, '', '', 'GUM', 'GU', 'USD', 'Guam', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(88, '', '', 'GTM', 'GT', 'GTQ', 'Guatemala', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(89, '', '', 'GIN', 'GN', 'GNF', 'Guinea', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(90, '', '', 'GNB', 'GW', 'XOF', 'Guinea-bissau', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(91, '', '', 'GUY', 'GY', 'GYD', 'Guyana', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(92, '', '', 'HTI', 'HT', 'USD', 'Haiti', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(93, '', '', 'HMD', 'HM', 'AUD', 'Heard and Mc Donald Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(94, '', '', 'HND', 'HN', 'HNL', 'Honduras', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(95, '', '', 'HKG', 'HK', 'HKD', 'Hong Kong', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(96, '', '', 'HUN', 'HU', 'HUF', 'Hungary', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(97, '', '', 'ISL', 'IS', 'ISK', 'Iceland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(98, '', '', 'IND', 'IN', 'INR', 'India', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(99, '', '', 'IDN', 'ID', 'IDR', 'Indonesia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(100, '', '', 'IRN', 'IR', 'IRR', 'Iran (Islamic Republic of)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(101, '', '', 'IRQ', 'IQ', 'IQD', 'Iraq', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(102, '', '', 'IRL', 'IE', 'EUR', 'Ireland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(103, '', '', 'ISR', 'IL', 'ILS', 'Israel', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(104, '', '', 'ITA', 'IT', 'EUR', 'Italy', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(105, '', '', 'JAM', 'JM', 'JMD', 'Jamaica', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(106, '', '', 'JPN', 'JP', 'JPY', 'Japan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(107, '', '', 'JOR', 'JO', 'JOD', 'Jordan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(108, '', '', 'KAZ', 'KZ', 'KZT', 'Kazakhstan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(109, '', '', 'KEN', 'KE', 'KES', 'Kenya', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(110, '', '', 'KIR', 'KI', 'AUD', 'Kiribati', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(111, '', '', 'PRK', 'KP', 'KPW', 'Korea, Democratic People\'s Republic of', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(112, '', '', 'KOR', 'KR', 'KRW', 'Korea, Republic of', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(113, '', '', 'KWT', 'KW', 'KWD', 'Kuwait', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(114, '', '', 'KGZ', 'KG', 'KGS', 'Kyrgyzstan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(115, '', '', 'LAO', 'LA', 'LAK', 'Lao People\'s Democratic Republic', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(116, '', '', 'LVA', 'LV', 'LVL', 'Latvia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(117, '', '', 'LBN', 'LB', 'LBP', 'Lebanon', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(118, '', '', 'LSO', 'LS', 'ZAR', 'Lesotho', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(119, '', '', 'LBR', 'LR', 'LRD', 'Liberia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(120, '', '', 'LBY', 'LY', 'LYD', 'Libya', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(121, '', '', 'LIE', 'LI', 'CHF', 'Liechtenstein', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(122, '', '', 'LTU', 'LT', 'LTL', 'Lithuania', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(123, '', '', 'LUX', 'LU', 'EUR', 'Luxembourg', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(124, '', '', 'MAC', 'MO', 'MOP', 'Macau', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(125, '', '', 'MKD', 'MK', 'MKD', 'Macedonia, The Former Yugoslav Republic of', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(126, '', '', 'MDG', 'MG', 'MGA', 'Madagascar', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(127, '', '', 'MWI', 'MW', 'MWK', 'Malawi', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(128, '', '', 'MYS', 'MY', 'MYR', 'Malaysia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(129, '', '', 'MDV', 'MV', 'MVR', 'Maldives', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(130, '', '', 'MLI', 'ML', 'XOF', 'Mali', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(131, '', '', 'MLT', 'MT', 'EUR', 'Malta', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(132, '', '', 'MHL', 'MH', 'USD', 'Marshall Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(133, '', '', 'MTQ', 'MQ', 'EUR', 'Martinique', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(134, '', '', 'MRT', 'MR', 'MRO', 'Mauritania', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(135, '', '', 'MUS', 'MU', 'MUR', 'Mauritius', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(136, '', '', 'MYT', 'YT', 'EUR', 'Mayotte', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(137, '', '', 'MEX', 'MX', 'MXN', 'Mexico', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(138, '', '', 'FSM', 'FM', 'USD', 'Micronesia, Federated States of', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(139, '', '', 'MDA', 'MD', 'MDL', 'Moldova, Republic of', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(140, '', '', 'MCO', 'MC', 'EUR', 'Monaco', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(141, '', '', 'MNG', 'MN', 'MNT', 'Mongolia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(142, '', '', 'MSR', 'MS', 'XCD', 'Montserrat', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(143, '', '', 'MAR', 'MA', 'MAD', 'Morocco', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(144, '', '', 'MOZ', 'MZ', 'MZN', 'Mozambique', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(145, '', '', 'MMR', 'MM', 'MMK', 'Myanmar', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(146, '', '', 'NAM', 'NA', 'NAD', 'Namibia', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(147, '', '', 'NRU', 'NR', 'AUD', 'Nauru', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(148, '', '', 'NPL', 'NP', 'NPR', 'Nepal', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(149, '', '', 'NLD', 'NL', 'EUR', 'Netherlands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(150, '', '', 'ANT', 'AN', 'ANG', 'Netherlands Antilles', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(151, '', '', 'NCL', 'NC', 'XPF', 'New Caledonia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(152, '', '', 'NZL', 'NZ', 'NZD', 'New Zealand', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(153, '', '', 'NIC', 'NI', 'NIO', 'Nicaragua', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(154, '', '', 'NER', 'NE', 'XOF', 'Niger', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(155, '', '', 'NGA', 'NG', 'NGN', 'Nigeria', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(156, '', '', 'NIU', 'NU', 'NZD', 'Niue', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(157, '', '', 'NFK', 'NF', 'AUD', 'Norfolk Island', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(158, '', '', 'MNP', 'MP', 'USD', 'Northern Mariana Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(159, '', '', 'NOR', 'NO', 'NOK', 'Norway', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(160, '', '', 'OMN', 'OM', 'OMR', 'Oman', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(161, '', '', 'PAK', 'PK', 'PKR', 'Pakistan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(162, '', '', 'PLW', 'PW', 'USD', 'Palau', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(163, '', '', 'PAN', 'PA', 'USD', 'Panama', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(164, '', '', 'PNG', 'PG', 'PGK', 'Papua New Guinea', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(165, '', '', 'PRY', 'PY', 'PYG', 'Paraguay', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(166, '', '', 'PER', 'PE', 'PEN', 'Peru', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(167, '', '', 'PHL', 'PH', 'PHP', 'Philippines', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(168, '', '', 'PCN', 'PN', 'NZD', 'Pitcairn', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(169, '', '', 'POL', 'PL', 'PLN', 'Poland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(170, '', '', 'PRT', 'PT', 'EUR', 'Portugal', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(171, '', '', 'PRI', 'PR', 'USD', 'Puerto Rico', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(172, '', '', 'QAT', 'QA', 'QAR', 'Qatar', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(173, '', '', 'REU', 'RE', 'EUR', 'Reunion', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(174, '', '', 'ROM', 'RO', 'RON', 'Romania', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(175, '', '', 'RUS', 'RU', 'RUB', 'Russian Federation', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(176, '', '', 'RWA', 'RW', 'RWF', 'Rwanda', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(177, '', '', 'KNA', 'KN', 'XCD', 'Saint Kitts and Nevis', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(178, '', '', 'LCA', 'LC', 'XCD', 'Saint Lucia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(179, '', '', 'VCT', 'VC', 'XCD', 'Saint Vincent and the Grenadines', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(180, '', '', 'WSM', 'WS', 'WST', 'Samoa', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(181, '', '', 'SMR', 'SM', 'EUR', 'San Marino', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(182, '', '', 'STP', 'ST', 'STD', 'Sao Tome and Principe', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(183, '', '', 'SAU', 'SA', 'SAR', 'Saudi Arabia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(184, '', '', 'SEN', 'SN', 'XOF', 'Senegal', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(185, '', '', 'SYC', 'SC', 'SCR', 'Seychelles', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(186, '', '', 'SLE', 'SL', 'SLL', 'Sierra Leone', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(187, '', '', 'SGP', 'SG', 'SGD', 'Singapore', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(188, '', '', 'SVK', 'SK', 'EUR', 'Slovakia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(189, '', '', 'SVN', 'SI', 'EUR', 'Slovenia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(190, '', '', 'SLB', 'SB', 'SBD', 'Solomon Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(191, '', '', 'SOM', 'SO', 'SOS', 'Somalia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(192, '', '', 'ZAF', 'ZA', 'ZAR', 'South Africa', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(193, '', '', 'SGS', 'GS', 'GBP', 'South Georgia and the South Sandwich Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(194, '', '', 'ESP', 'ES', 'EUR', 'Spain', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(195, '', '', 'LKA', 'LK', 'LKR', 'Sri Lanka', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(196, '', '', 'SHN', 'SH', 'SHP', 'St. Helena', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(197, '', '', 'SPM', 'PM', 'EUR', 'St. Pierre and Miquelon', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(198, '', '', 'SDN', 'SD', 'SDG', 'Sudan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(199, '', '', 'SUR', 'SR', 'SRD', 'Suriname', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(200, '', '', 'SJM', 'SJ', 'NOK', 'Svalbard and Jan Mayen Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(201, '', '', 'SWZ', 'SZ', 'SZL', 'Swaziland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(202, '', '', 'SWE', 'SE', 'SEK', 'Sweden', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(203, '', '', 'CHE', 'CH', 'CHF', 'Switzerland', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(204, '', '', 'SYR', 'SY', 'SYP', 'Syrian Arab Republic', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(205, '', '', 'TWN', 'TW', 'TWD', 'Taiwan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(206, '', '', 'TJK', 'TJ', 'TJS', 'Tajikistan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(207, '', '', 'TZA', 'TZ', 'TZS', 'Tanzania, United Republic of', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(208, '', '', 'THA', 'TH', 'THB', 'Thailand', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(209, '', '', 'TGO', 'TG', 'XOF', 'Togo', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(210, '', '', 'TKL', 'TK', 'NZD', 'Tokelau', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(211, '', '', 'TON', 'TO', 'TOP', 'Tonga', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(212, '', '', 'TTO', 'TT', 'TTD', 'Trinidad and Tobago', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(213, '', '', 'TUN', 'TN', 'TND', 'Tunisia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(214, '', '', 'TUR', 'TR', 'TRY', 'Turkey', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(215, '', '', 'TKM', 'TM', 'TMT', 'Turkmenistan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(216, '', '', 'TCA', 'TC', 'USD', 'Turks and Caicos Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(217, '', '', 'TUV', 'TV', 'AUD', 'Tuvalu', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(218, '', '', 'UGA', 'UG', 'UGX', 'Uganda', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(219, '', '', 'UKR', 'UA', 'UAH', 'Ukraine', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(220, '', '', 'ARE', 'AE', 'AED', 'United Arab Emirates', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(221, '', '', 'GBR', 'GB', 'GBP', 'United Kingdom', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(222, '', '', 'USA', 'US', 'USD', 'United States', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(223, '', '', 'UMI', 'UM', 'USD', 'United States Minor Outlying Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(224, '', '', 'URY', 'UY', 'UYU', 'Uruguay', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(225, '', '', 'UZB', 'UZ', 'UZS', 'Uzbekistan', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(226, '', '', 'VUT', 'VU', 'VUV', 'Vanuatu', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(227, '', '', 'VAT', 'VA', 'EUR', 'Vatican City State (Holy See)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(228, '', '', 'VEN', 'VE', 'VEF', 'Venezuela', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(229, '', '', 'VNM', 'VN', 'VND', 'Viet Nam', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(230, '', '', 'VGB', 'VG', 'USD', 'Virgin Islands (British)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(231, '', '', 'VIR', 'VI', 'USD', 'Virgin Islands (U.S.)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(232, '', '', 'WLF', 'WF', 'XPF', 'Wallis and Futuna Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(233, '', '', 'ESH', 'EH', 'MAD', 'Western Sahara', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(234, '', '', 'YEM', 'YE', 'YER', 'Yemen', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(235, '', '', 'DRC', 'DC', 'CDF', 'The Democratic Republic of Congo', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(236, '', '', 'ZMB', 'ZM', 'USD', 'Zambia', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(237, '', '', 'ZWE', 'ZW', 'USD', 'Zimbabwe', '', '', 1, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(238, '', '', 'XET', 'XE', 'USD', 'East Timor', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(239, '', '', 'JEY', 'JE', 'GBP', 'Jersey', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(240, '', '', 'XSB', 'XB', 'EUR', 'St. Barthelemy', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(241, '', '', 'XSE', 'XU', 'USD', 'St. Eustatius', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(242, '', '', 'XCA', 'XC', 'EUR', 'Canary Islands', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(243, '', '', 'SRB', 'RS', 'SRB', 'Serbia', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(244, '', '', 'MAF', 'MF', 'EUR', 'Sint Maarten (French Antilles)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(245, '', '', 'SXM', 'SX', 'ANG', 'Sint Maarten (Netherlands Antilles)', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', ''),
(246, '', '', 'ZZZ', 'ZZ', 'ZZZ', 'Reserved', '', '', 2, '', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 1, '', '');

--
-- Dumping data for table `#__supportgroups_currency`
--

INSERT INTO `#__supportgroups_currency` (`id`, `asset_id`, `alias`, `codethree`, `decimalplace`, `decimalsymbol`, `name`, `negativestyle`, `numericcode`, `positivestyle`, `symbol`, `thousands`, `params`, `published`, `created_by`, `modified_by`, `created`, `modified`, `checked_out`, `checked_out_time`, `version`, `hits`, `access`, `ordering`) VALUES
(1, 0, '', 'AED', 2, ',', 'United Arab Emirates dirham', '{sign}{number} {symbol}', 784, '{number} {symbol}', 'د.إ', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 23),
(2, 0, '', 'AFN', 2, ',', 'Afghan afghani', '{sign}{number} {symbol}', 971, '{number} {symbol}', '؋', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 24),
(3, 0, '', 'ALL', 2, ',', 'Albanian lek', '{sign}{number} {symbol}', 8, '{number} {symbol}', 'Lek', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 25),
(4, 0, '', 'AMD', 2, ',', 'Armenian dram', '{sign}{number} {symbol}', 51, '{number} {symbol}', 'դր.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 26),
(5, 0, '', 'ANG', 2, ',', 'Netherlands Antillean gulden', '{sign}{number} {symbol}', 532, '{number} {symbol}', 'ƒ', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 27),
(6, 0, '', 'AOA', 2, ',', 'Angolan kwanza', '{sign}{number} {symbol}', 973, '{number} {symbol}', 'Kz', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 28),
(7, 0, '', 'ARS', 2, ',', 'Argentine peso', '{sign}{number} {symbol}', 32, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 29),
(8, 0, '', 'AUD', 2, '.', 'Australian dollar', '{sign}{symbol} {number}', 36, '{symbol} {number}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 5),
(9, 0, '', 'AWG', 2, ',', 'Aruban florin', '{sign}{number} {symbol}', 533, '{number} {symbol}', 'ƒ', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 30),
(10, 0, '', 'AZN', 2, ',', 'Azerbaijani manat', '{sign}{number} {symbol}', 934, '{number} {symbol}', 'ман', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 31),
(11, 0, '', 'BAM', 2, ',', 'Bosnia and Herzegovina convert', '{sign}{number} {symbol}', 977, '{number} {symbol}', 'KM', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 32),
(12, 0, '', 'BBD', 2, ',', 'Barbadian dollar', '{sign}{number} {symbol}', 52, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 33),
(13, 0, '', 'BDT', 2, ',', 'Bangladeshi taka', '{sign}{number} {symbol}', 50, '{number} {symbol}', '৳', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 34),
(14, 0, '', 'BGN', 2, ',', 'Bulgarian lev', '{sign}{number} {symbol}', 975, '{number} {symbol}', 'лв', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 35),
(15, 0, '', 'BHD', 2, ',', 'Bahraini dinar', '{sign}{number} {symbol}', 48, '{number} {symbol}', 'ب.د', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 36),
(16, 0, '', 'BIF', 0, '', 'Burundian franc', '{sign}{number} {symbol}', 108, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 37),
(17, 0, '', 'BMD', 2, ',', 'Bermudian dollar', '{sign}{number} {symbol}', 60, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 38),
(18, 0, '', 'BND', 2, ',', 'Brunei dollar', '{sign}{number} {symbol}', 96, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 39),
(19, 0, '', 'BOB', 2, ',', 'Bolivian boliviano', '{sign}{number} {symbol}', 68, '{number} {symbol}', '$b', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 40),
(20, 0, '', 'BOV', 2, ',', 'Mvdol', '{sign}{number} {symbol}', 984, '{number} {symbol}', 'BOV', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 41),
(21, 0, '', 'BRL', 2, '.', 'Brazilian real', '{symbol} {sign}{number}', 986, '{symbol} {number}', 'R$', ',', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 17),
(22, 0, '', 'BSD', 2, ',', 'Bahamian dollar', '{sign}{number} {symbol}', 44, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 42),
(23, 0, '', 'BTN', 2, ',', 'Bhutanese ngultrum', '{sign}{number} {symbol}', 64, '{number} {symbol}', 'BTN', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 43),
(24, 0, '', 'BWP', 2, ',', 'Botswana pula', '{sign}{number} {symbol}', 72, '{number} {symbol}', 'P', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 44),
(25, 0, '', 'BYR', 0, '', 'Belarusian ruble', '{sign}{number} {symbol}', 974, '{number} {symbol}', 'p.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 45),
(26, 0, '', 'BZD', 2, ',', 'Belize dollar', '{sign}{number} {symbol}', 84, '{number} {symbol}', 'BZ$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 46),
(27, 0, '', 'CAD', 2, '.', 'Canadian dollar', '{symbol}{sign}{number}', 124, '{symbol}{number}', '$', ',', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 7),
(28, 0, '', 'CDF', 2, ',', 'Congolese franc', '{sign}{number} {symbol}', 976, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 47),
(29, 0, '', 'CHE', 2, ',', 'WIR Euro', '{sign}{number} {symbol}', 947, '{number} {symbol}', '€', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 48),
(30, 0, '', 'CHF', 2, ',', 'Swiss franc', '{sign}{number} {symbol}', 756, '{number} {symbol}', 'CHF', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 6),
(31, 0, '', 'CHW', 2, ',', 'WIR Franc', '{sign}{number} {symbol}', 948, '{number} {symbol}', 'CHW', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 49),
(32, 0, '', 'CLF', 0, ',', 'Unidad de Fomento', '{sign}{number} {symbol}', 990, '{number} {symbol}', 'CLF', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 50),
(33, 0, '', 'CLP', 2, ',', 'Chilean peso', '{sign}{number} {symbol}', 152, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 51),
(34, 0, '', 'CNY', 2, ',', 'Chinese renminbi yuan', '{sign}{number} {symbol}', 156, '{number} {symbol}', '元', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 9),
(35, 0, '', 'COP', 2, ',', 'Colombian peso', '{sign}{number} {symbol}', 170, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 52),
(36, 0, '', 'COU', 2, ',', 'Unidad de Valor Real', '{sign}{number} {symbol}', 970, '{number} {symbol}', 'COU', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 53),
(37, 0, '', 'CRC', 2, ',', 'Costa Rican colón', '{sign}{number} {symbol}', 188, '{number} {symbol}', '₡', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 54),
(38, 0, '', 'CZK', 2, ',', 'Czech koruna', '{sign}{number} {symbol}', 203, '{number} {symbol}', 'Kč', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 57),
(39, 0, '', 'CUP', 2, ',', 'Cuban peso', '{sign}{number} {symbol}', 192, '{number} {symbol}', '₱', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 55),
(40, 0, '', 'CVE', 0, '', 'Cape Verdean escudo', '{sign}{number} {symbol}', 132, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 56),
(41, 0, '', 'DJF', 0, '', 'Djiboutian franc', '{sign}{number} {symbol}', 262, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 58),
(42, 0, '', 'DKK', 2, '.', 'Danish krone', '{symbol}{sign}{number}', 208, '{symbol}{number}', 'kr', ',', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 19),
(43, 0, '', 'DOP', 2, ',', 'Dominican peso', '{sign}{number} {symbol}', 214, '{number} {symbol}', 'RD$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 59),
(44, 0, '', 'DZD', 2, ',', 'Algerian dinar', '{sign}{number} {symbol}', 12, '{number} {symbol}', 'د.ج', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 60),
(45, 0, '', 'EGP', 2, ',', 'Egyptian pound', '{sign}{number} {symbol}', 818, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 61),
(46, 0, '', 'ERN', 2, ',', 'Eritrean nakfa', '{sign}{number} {symbol}', 232, '{number} {symbol}', 'Nfk', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 62),
(47, 0, '', 'ETB', 2, ',', 'Ethiopian birr', '{sign}{number} {symbol}', 230, '{number} {symbol}', 'ETB', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 63),
(48, 0, '', 'EUR', 2, ',', 'Euro', '{sign}{number} {symbol}', 978, '{number} {symbol}', '€', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 2),
(49, 0, '', 'FJD', 2, ',', 'Fijian dollar', '{sign}{number} {symbol}', 242, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 64),
(50, 0, '', 'FKP', 2, ',', 'Falkland pound', '{sign}{number} {symbol}', 238, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 65),
(51, 0, '', 'GBP', 2, '.', 'British pound', '{symbol}{sign}{number}', 826, '{symbol}{number}', '£', ',', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 4),
(52, 0, '', 'GEL', 2, ',', 'Georgian lari', '{sign}{number} {symbol}', 981, '{number} {symbol}', 'ლ', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 66),
(53, 0, '', 'GHS', 2, ',', 'Ghanaian cedi', '{sign}{number} {symbol}', 936, '{number} {symbol}', '₵', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 67),
(54, 0, '', 'GIP', 2, ',', 'Gibraltar pound', '{sign}{number} {symbol}', 292, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 68),
(55, 0, '', 'GMD', 2, ',', 'Gambian dalasi', '{sign}{number} {symbol}', 270, '{number} {symbol}', 'D', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 69),
(56, 0, '', 'GNF', 0, '', 'Guinean franc', '{sign}{number} {symbol}', 324, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 70),
(57, 0, '', 'GTQ', 2, ',', 'Guatemalan quetzal', '{sign}{number} {symbol}', 320, '{number} {symbol}', 'Q', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 71),
(58, 0, '', 'GYD', 2, ',', 'Guyanese dollar', '{sign}{number} {symbol}', 328, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 72),
(59, 0, '', 'HKD', 2, ',', 'Hong Kong dollar', '{sign}{number} {symbol}', 344, '{number} {symbol}', '元', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 13),
(60, 0, '', 'HNL', 2, ',', 'Honduran lempira', '{sign}{number} {symbol}', 340, '{number} {symbol}', 'L', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 73),
(61, 0, '', 'HRK', 2, ',', 'Croatian kuna', '{sign}{number} {symbol}', 191, '{number} {symbol}', 'kn', '.', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 74),
(62, 0, '', 'HTG', 2, ',', 'Haitian gourde', '{sign}{number} {symbol}', 332, '{number} {symbol}', 'G', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 75),
(63, 0, '', 'HUF', 2, ',', 'Hungarian forint', '{sign}{number} {symbol}', 348, '{number} {symbol}', 'Ft', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 76),
(64, 0, '', 'IDR', 0, '', 'Indonesian rupiah', '{symbol}{sign}{number}', 360, '{symbol}{number}', 'Rp', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 77),
(65, 0, '', 'ILS', 2, ',', 'Israeli new sheqel', '{sign}{number} {symbol}', 376, '{number} {symbol}', '₪', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 20),
(66, 0, '', 'INR', 2, ',', 'Indian rupee', '{sign}{number} {symbol}', 356, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 16),
(67, 0, '', 'IQD', 0, '', 'Iraqi dinar', '{sign}{number} {symbol}', 368, '{number} {symbol}', 'ع.د', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 78),
(68, 0, '', 'IRR', 2, ',', 'Iranian rial', '{sign}{number}{symb0l}', 364, '{number} {symbol}', '﷼', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 79),
(69, 0, '', 'ISK', 2, ',', 'Icelandic króna', '{sign}{number} {symbol}', 352, '{number} {symbol}', 'kr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 80),
(70, 0, '', 'JMD', 2, ',', 'Jamaican dollar', '{sign}{number} {symbol}', 388, '{number} {symbol}', 'J$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 81),
(71, 0, '', 'JOD', 2, ',', 'Jordanian dinar', '{sign}{number} {symbol}', 400, '{number} {symbol}', 'د.ا', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 82),
(72, 0, '', 'JPY', 2, ',', 'Japanese yen', '{sign}{number} {symbol}', 392, '{number} {symbol}', '¥', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 3),
(73, 0, '', 'KES', 2, ',', 'Kenyan shilling', '{sign}{number} {symbol}', 404, '{number} {symbol}', 'Sh', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 83),
(74, 0, '', 'KGS', 2, ',', 'Kyrgyzstani som', '{sign}{number} {symbol}', 417, '{number} {symbol}', 'лв', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 84),
(75, 0, '', 'KHR', 2, ',', 'Cambodian riel', '{sign}{number} {symbol}', 116, '{number} {symbol}', '៛', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 85),
(76, 0, '', 'KMF', 0, '', 'Comorian franc', '{sign}{number} {symbol}', 174, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 86),
(77, 0, '', 'KPW', 0, '', 'North Korean won', '{sign}{number} {symbol}', 408, '{number} {symbol}', '₩', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 87),
(78, 0, '', 'KRW', 0, '', 'South Korean won', '{sign}{number} {symbol}', 410, '{number} {symbol}', '₩', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 21),
(79, 0, '', 'KWD', 2, ',', 'Kuwaiti dinar', '{sign}{number} {symbol}', 414, '{number} {symbol}', 'د.ك', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 88),
(80, 0, '', 'KYD', 2, ',', 'Cayman Islands dollar', '{sign}{number} {symbol}', 136, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 89),
(81, 0, '', 'KZT', 2, ',', 'Kazakhstani tenge', '{sign}{number} {symbol}', 398, '{number} {symbol}', 'лв', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 90),
(82, 0, '', 'LAK', 0, '', 'Lao kip', '{sign}{number} {symbol}', 418, '{number} {symbol}', '₭', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 91),
(83, 0, '', 'LBP', 0, '', 'Lebanese pound', '{sign}{number} {symbol}', 422, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 92),
(84, 0, '', 'LKR', 2, ',', 'Sri Lankan rupee', '{sign}{number} {symbol}', 144, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 93),
(85, 0, '', 'LRD', 2, ',', 'Liberian dollar', '{sign}{number} {symbol}', 430, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 94),
(86, 0, '', 'LSL', 2, ',', 'Lesotho loti', '{sign}{number} {symbol}', 426, '{number} {symbol}', 'L', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 95),
(87, 0, '', 'LTL', 2, ',', 'Lithuanian litas', '{sign}{number} {symbol}', 440, '{number} {symbol}', 'Lt', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 96),
(88, 0, '', 'LVL', 2, ',', 'Latvian lats', '{sign}{number} {symbol}', 428, '{number} {symbol}', 'Ls', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 97),
(89, 0, '', 'LYD', 3, ',', 'Libyan dinar', '{sign}{number} {symbol}', 434, '{number} {symbol}', 'ل.د', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 98),
(90, 0, '', 'MAD', 2, ',', 'Moroccan dirham', '{sign}{number} {symbol}', 504, '{number} {symbol}', 'د.م.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 99),
(91, 0, '', 'MDL', 2, ',', 'Moldovan leu', '{sign}{number} {symbol}', 498, '{number} {symbol}', 'L', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 100),
(92, 0, '', 'MGA', 2, ',', 'Malagasy ariary', '{sign}{number} {symbol}', 969, '{number} {symbol}', 'MGA', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 101),
(93, 0, '', 'MKD', 2, ',', 'Macedonian denar', '{sign}{number} {symbol}', 807, '{number} {symbol}', 'ден', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 102),
(94, 0, '', 'MMK', 2, ',', 'Myanmar kyat', '{symbol} {sign}{number}', 104, '{number} {symbol}', 'K', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 103),
(95, 0, '', 'MNT', 2, ',', 'Mongolian tögrög', '{sign}{number} {symbol}', 496, '{number} {symbol}', '₮', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 104),
(96, 0, '', 'MOP', 1, ',', 'Macanese pataca', '{symbol}{sign}{number}', 446, '{symbol}{number}', 'P', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 105),
(97, 0, '', 'MRO', 2, ',', 'Mauritanian ouguiya', '{sign}{number} {symbol}', 478, '{number} {symbol}', 'UM', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 106),
(98, 0, '', 'MUR', 2, ',', 'Mauritian rupee', '{sign}{number} {symbol}', 480, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 107),
(99, 0, '', 'MVR', 2, ',', 'Maldivian rufiyaa', '{sign}{number} {symbol}', 462, '{number} {symbol}', 'ރ.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 108),
(100, 0, '', 'MWK', 2, ',', 'Malawian kwacha', '{sign}{number} {symbol}', 454, '{number} {symbol}', 'MK', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 109),
(101, 0, '', 'MXN', 2, ',', 'Mexican peso', '{sign}{number} {symbol}', 484, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 8),
(102, 0, '', 'MXV', 2, ',', 'Mexican Unid', '{sign}{number} {symbol}', 979, '{number} {symbol}', 'MXV', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 110),
(103, 0, '', 'MYR', 2, ',', 'Malaysian ringgit', '{sign}{number} {symbol}', 458, '{number} {symbol}', 'RM', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 111),
(104, 0, '', 'MZN', 2, ',', 'Mozambican metical', '{sign}{number} {symbol}', 943, '{number} {symbol}', 'MT', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 112),
(105, 0, '', 'NAD', 2, ',', 'Namibian dollar', '{symbol} {sign}{number}', 516, '{symbol} {number}', 'N$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 113),
(106, 0, '', 'NGN', 2, ',', 'Nigerian naira', '{sign}{number} {symbol}', 566, '{number} {symbol}', '₦', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 114),
(107, 0, '', 'NIO', 2, ',', 'Nicaraguan córdoba', '{sign}{number} {symbol}', 558, '{number} {symbol}', 'C$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 115),
(108, 0, '', 'NOK', 2, ',', 'Norwegian krone', '{symbol}{sign}{number}', 578, '{symbol}{number}', 'kr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 18),
(109, 0, '', 'NPR', 2, ',', 'Nepalese rupee', '{sign}{number} {symbol}', 524, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 116),
(110, 0, '', 'NZD', 2, ',', 'New Zealand dollar', '{symbol}{sign}{number}', 554, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 10),
(111, 0, '', 'OMR', 3, '.', 'Omani rial', '{sign}{number} {symbol}', 512, '{number} {symbol}', '﷼', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 117),
(112, 0, '', 'PAB', 2, ',', 'Panamanian balboa', '{sign}{number} {symbol}', 590, '{number} {symbol}', 'B/.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 118),
(113, 0, '', 'PEN', 2, ',', 'Peruvian nuevo sol', '{sign}{number} {symbol}', 604, '{number} {symbol}', 'S/.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 119),
(114, 0, '', 'PGK', 2, ',', 'Papua New Guinean kina', '{sign}{number} {symbol}', 598, '{number} {symbol}', 'K', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 120),
(115, 0, '', 'PHP', 2, ',', 'Philippine peso', '{sign}{number} {symbol}', 608, '{number} {symbol}', '₱', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 121),
(116, 0, '', 'PKR', 2, ',', 'Pakistani rupee', '{sign}{number} {symbol}', 586, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 122),
(117, 0, '', 'PLN', 2, ',', 'Polish Złoty', '{sign}{number} {symbol}', 985, '{number} {symbol}', 'zł', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 123),
(118, 0, '', 'PYG', 0, '', 'Paraguayan guaraní', '{symbol} {sign}{number}', 600, '{symbol} {number}', '₲', '.', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 124),
(119, 0, '', 'QAR', 2, ',', 'Qatari riyal', '{sign}{number} {symbol}', 634, '{number} {symbol}', '﷼', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 125),
(120, 0, '', 'RON', 2, ',', 'Romanian leu', '{sign}{number} {symbol}', 946, '{number} {symbol}', 'lei', '.', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 126),
(121, 0, '', 'RWF', 2, ',', 'Rwandan franc', '{sign}{number} {symbol}', 646, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 128),
(122, 0, '', 'SAR', 2, ',', 'Saudi riyal', '{sign}{number} {symbol}', 682, '{number} {symbol}', '﷼', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 129),
(123, 0, '', 'SBD', 2, ',', 'Solomon Islands dollar', '{sign}{number} {symbol}', 90, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 130),
(124, 0, '', 'SCR', 2, ',', 'Seychellois rupee', '{sign}{number} {symbol}', 690, '{number} {symbol}', '₨', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 131),
(125, 0, '', 'SDG', 2, ',', 'Sudanese pound', '{sign}{number} {symbol}', 938, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 132),
(126, 0, '', 'SEK', 2, ',', 'Swedish krona', '{sign}{number} {symbol}', 752, '{number} {symbol}', 'kr', '.', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 11),
(127, 0, '', 'SGD', 2, ',', 'Singapore dollar', '{sign}{number} {symbol}', 702, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 14),
(128, 0, '', 'SHP', 2, ',', 'Saint Helenian pound', '{sign}{number} {symbol}', 654, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 133),
(129, 0, '', 'SLL', 2, ',', 'Sierra Leonean leone', '{sign}{number} {symbol}', 694, '{number} {symbol}', 'Le', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 134),
(130, 0, '', 'SOS', 2, ',', 'Somali shilling', '{sign}{number} {symbol}', 706, '{number} {symbol}', 'S', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 135),
(131, 0, '', 'SRD', 2, ',', 'Surinamese dollar', '{sign}{number} {symbol}', 968, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 136),
(132, 0, '', 'STD', 0, '', 'São Tomé and Príncipe dobra', '{sign}{number} {symbol}', 678, '{number} {symbol}', 'Db', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 137),
(133, 0, '', 'RUB', 2, ',', 'Russian ruble', '{sign}{number} {symbol}', 643, '{number} {symbol}', 'руб', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 12),
(134, 0, '', 'SVC', 2, ',', 'Salvadoran colón', '{sign}{number} {symbol}', 222, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 138),
(135, 0, '', 'SYP', 2, ',', 'Syrian pound', '{sign}{number} {symbol}', 760, '{number} {symbol}', '£', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 139),
(136, 0, '', 'SZL', 2, ',', 'Swazi lilangeni', '{sign}{number} {symbol}', 748, '{number} {symbol}', 'L', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 140),
(137, 0, '', 'THB', 2, ',', 'Thai baht', '{sign}{number} {symbol}', 764, '{number} {symbol}', '฿', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 141),
(138, 0, '', 'TJS', 2, ',', 'Tajikistani somoni', '{sign}{number} {symbol}', 972, '{number} {symbol}', 'ЅМ', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 142),
(139, 0, '', 'TND', 3, ',', 'Tunisian dinar', '{sign}{number} {symbol}', 788, '{number} {symbol}', 'د.ت', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 143),
(140, 0, '', 'TOP', 2, ',', 'Tongan paʻanga', '{sign}{number} {symbol}', 776, '{number} {symbol}', 'T$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 144),
(141, 0, '', 'TRY', 2, ',', 'Turkish new lira', '{sign}{number} {symbol}', 949, '{number} {symbol}', 'YTL', '.', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 15),
(142, 0, '', 'TTD', 2, ',', 'Trinidad and Tobago dollar', '{sign}{number} {symbol}', 780, '{number} {symbol}', 'TT$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 145),
(143, 0, '', 'TWD', 2, ',', 'New Taiwan dollar', '{sign}{number} {symbol}', 901, '{number} {symbol}', 'NT$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 146),
(144, 0, '', 'TZS', 2, ',', 'Tanzanian shilling', '{sign}{number} {symbol}', 834, '{number} {symbol}', 'Sh', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 147),
(145, 0, '', 'UAH', 2, ',', 'Ukrainian hryvnia', '{sign}{number} {symbol}', 980, '{number} {symbol}', '₴', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 148),
(146, 0, '', 'UGX', 2, ',', 'Ugandan shilling', '{sign}{number} {symbol}', 800, '{number} {symbol}', 'Sh', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 149),
(147, 0, '', 'USD', 2, '.', 'United States dollar', '{symbol}{sign}{number}', 840, '{symbol}{number}', '$', ',', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 1),
(148, 0, '', 'UYI', 2, ',', 'Uruguay Peso', '{sign}{number} {symbol}', 940, '{number} {symbol}', 'UYI', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 150),
(149, 0, '', 'UYU', 0, '', 'Uruguayan peso', '{symbol}{sign}{number}', 858, '{symbol} {number}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 151),
(150, 0, '', 'UZS', 2, ',', 'Uzbekistani som', '{sign}{number} {symbol}', 860, '{number} {symbol}', 'лв', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 152),
(151, 0, '', 'VEF', 2, ',', 'Venezuelan bolívar', '{sign}{number} {symbol}', 937, '{number} {symbol}', 'Bs', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 153),
(152, 0, '', 'VND', 0, '', 'Vietnamese Dong', '{sign}{number} {symbol}', 704, '{number} {symbol}', '₫', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 154),
(153, 0, '', 'VUV', 2, ',', 'Vanuatu vatu', '{sign}{number} {symbol}', 548, '{number} {symbol}', 'Vt', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 155),
(154, 0, '', 'WST', 2, ',', 'Samoan tala', '{sign}{number} {symbol}', 882, '{number} {symbol}', 'T', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 156),
(155, 0, '', 'XAF', 0, '', 'Central African CFA franc', '{sign}{number} {symbol}', 950, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 157),
(156, 0, '', 'XCD', 2, ',', 'East Caribbean dollar', '{sign}{number} {symbol}', 951, '{number} {symbol}', '$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 158),
(157, 0, '', 'XOF', 2, ',', 'West African CFA franc', '{sign}{number} {symbol}', 952, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 159),
(158, 0, '', 'XPF', 2, ',', 'CFP franc', '{sign}{number} {symbol}', 953, '{number} {symbol}', 'Fr', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 160),
(159, 0, '', 'YER', 2, ',', 'Yemeni rial', '{sign}{number} {symbol}', 886, '{number} {symbol}', '﷼', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 161),
(160, 0, '', 'RSD', 2, ',', 'Serbian dinar', '{sign}{number} {symbol}', 941, '{number} {symbol}', 'Дин.', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 127),
(161, 3022, 'south-african-rand', 'ZAR', 2, ',', 'South African rand', '{symbol} {sign}{number}', 710, '{symbol} {number}', 'R', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 2, 0, 5, 22),
(162, 0, '', 'ZMK', 2, ',', 'Zambian kwacha', '{sign}{number} {symbol}', 894, '{number} {symbol}', 'ZK', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 162),
(163, 0, '', 'ZWD', 2, ',', 'Zimbabwean dollar', '{sign}{number} {symbol}', 932, '{number} {symbol}', 'Z$', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 163),
(164, 0, '', 'ZZZ', 2, ',', 'Reserved', '', 0, '', 'O', '', '', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00', 1, 0, 0, 164);


